using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;

public partial class Admin_PageSystem_PageItem_Edit : System.Web.UI.Page
{
    private 访问 访问;
    protected int ID;
    protected bool 是否内容;
    protected String 项标识;
    protected 页面项 项;
    protected 页面 页面;

    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("修改页面项", "网站后台", "修改页面项", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        ID = Convert.ToInt32(Request.QueryString["ID"]);
        是否内容 = Convert.ToBoolean(Request.QueryString["iscontent"]);
        项标识 = Request.QueryString["pid"];

        页面 = new 页面(ID, true, 是否内容);
        项 = 页面.页面项数据[项标识];

        if (this.IsPostBack)
            修改项();
        else
            初始化();
    }

    private void 初始化()
    {

        XiangMingChen.Text = 项.项名称;
        XiangPaiXu.Text = 项.项排序.ToString();

        if (项.是否隐藏)
            ShiFouHuanHang_T.Checked = true;
        else
            ShiFouHuanHang_F.Checked = true;

        if (项.是否换行)
            ShiFouHuanHang_T.Checked = true;
        else
            ShiFouHuanHang_F.Checked = true;
    }

    private void 修改项()
    {
        访问.验证权限("8");
        String 项名称 = XiangMingChen.Text;
        int 项排序 = Convert.ToInt32(XiangPaiXu.Text);
        bool 是否隐藏 = ShiFouYinCang_T.Checked;

        if (项名称.Length < 1)
            throw new Exception("项名称不能为空");

        项.项名称 = 项名称;
        项.项排序 = 项排序;
        项.是否换行 = ShiFouHuanHang_T.Checked;
        项.获取项内容(Request);
        项.是否隐藏 = 是否隐藏;

        页面.更新排序();
        页面.保存XML代码();
        页面.保存代码(访问);
        页面.保存管理代码(访问);

        访问统计_管理记录 管理记录 = new 访问统计_管理记录(this.Context, 访问.连接);
        管理记录.记录("修改页面项", 访问.用户["昵称"].ToString());

        Response.Redirect("PageItem.aspx?ID=" + ID + "&iscontent=" + 是否内容);
    }
}
